using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using DevComponents.DotNetBar;
using System.Data.SqlClient;
using System.IO;

namespace check
{
    public partial class restore : Form
    {
        public restore()
        {
            InitializeComponent();
        }

        OpenFileDialog dlg = new OpenFileDialog();

        private void restoredata()
        {
            if (txt_address.Text == "")
            {
                MessageBox.Show("آدرسی برای بازیابی پشتیبان انتخاب نشده است", "خطا", MessageBoxButtons.OK, MessageBoxIcon.Error);
            }
            else
            {
                MessageBox.Show("در حین بازیابی پشتیبان به چیزی دست نزنید", "هشدار", MessageBoxButtons.OK, MessageBoxIcon.Warning);
                string rs;
                rs = @"use master ALTER DATABASE [" + Application.StartupPath + "\\check.mdf]  SET SINGLE_USER with ROLLBACK IMMEDIATE " +
                        "RESTORE DATABASE [" + Application.StartupPath + "\\check.mdf] FROM DISK='" + dlg.FileName + "' with REPLACE " +
                        "ALTER DATABASE [" + Application.StartupPath + "\\check.mdf] SET MULTI_USER ";
                SqlConnection con = new SqlConnection("Data Source=.\\SQLEXPRESS;AttachDbFilename=|DataDirectory|\\check.mdf;Integrated Security=True");
                SqlCommand com = new SqlCommand(rs, con);
                con.Open();
                com.ExecuteNonQuery();
                con.Close();
                MessageBox.Show("عملیات بازیابی پشتیبان با موفقیت انجام شد", "پیغام", MessageBoxButtons.OK, MessageBoxIcon.Information);
                Application.Restart();
            }
        }
     

        private void btn_browse_Click_1(object sender, EventArgs e)
        {
           
            dlg.Filter = "Backup Files(*.BAK)|*.BAK";
            dlg.FilterIndex = 1;
            dlg.Title = "بازیابی پشتیبان";
            if (dlg.ShowDialog() == DialogResult.OK)
            {
                txt_address.Text = dlg.FileName.ToString();
            }
        }

        private void btn_restore_Click_1(object sender, EventArgs e)
        {
            restoredata();
        }
    }
}
